import { LitElement } from "lit";
import { customElement, property } from "lit/decorators.js";
import { renderIconButton } from "../../common/icon-button.js";
import { withTailwindStyles } from "../../../decorators/with-tailwind-styles.js";
import clock from "../../../images/clock.js";
function _ts_decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : null === desc ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if ("object" == typeof Reflect && "function" == typeof Reflect.decorate) r = Reflect.decorate(decorators, target, key, desc);
    else for(var i = decorators.length - 1; i >= 0; i--)if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}
function _ts_metadata(k, v) {
    if ("object" == typeof Reflect && "function" == typeof Reflect.metadata) return Reflect.metadata(k, v);
}
class AtomicInsightHistoryToggle extends LitElement {
    render() {
        return renderIconButton({
            props: {
                partPrefix: 'insight-history-toggle',
                style: 'outline-neutral',
                icon: clock,
                ariaLabel: 'history',
                onClick: this.clickCallback,
                title: this.tooltip
            }
        });
    }
    constructor(...args){
        super(...args), this.clickCallback = ()=>{}, this.tooltip = '';
    }
}
_ts_decorate([
    property({
        type: Object
    }),
    _ts_metadata("design:type", Function)
], AtomicInsightHistoryToggle.prototype, "clickCallback", void 0);
_ts_decorate([
    property({
        type: String
    })
], AtomicInsightHistoryToggle.prototype, "tooltip", void 0);
AtomicInsightHistoryToggle = _ts_decorate([
    customElement('atomic-insight-history-toggle'),
    withTailwindStyles
], AtomicInsightHistoryToggle);
export { AtomicInsightHistoryToggle };
